org.eclipse.mat.internal.collectionextract

## Class ValuesCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.ValuesCollectionExtractor

All Implemented Interfaces:
  ICollectionExtractor

    public class ValuesCollectionExtractor
    extends WrapperCollectionExtractor

Copyright (c) 2018 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html Contributors: IBM Corporation/Andrew Johnson - initial API and implementation

### Constructor Summary

Constructors
Constructor and Description
`ValuesCollectionExtractor(String field)`
`ValuesCollectionExtractor(String field, ICollectionExtractor extractor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IObjectArray` `extractEntries(IObject coll)` Extracts the array containing the collection content
`int[]` `extractEntryIds(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`boolean` `hasExtractableArray()` Return true if the collection array based and the array can be extracted from the heap dump

### Methods inherited from class org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor

`getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValuesCollectionExtractor

    public ValuesCollectionExtractor(String field)

#### ValuesCollectionExtractor

    public ValuesCollectionExtractor(String field,
                                     ICollectionExtractor extractor)

### Method Detail

#### extractEntryIds

    public int[] extractEntryIds(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `WrapperCollectionExtractor`
Returns:
Throws:
  `SnapshotException`

#### hasExtractableArray

    public boolean hasExtractableArray()

Description copied from interface: `ICollectionExtractor`
Return true if the collection array based and the array can be extracted from the heap dump

Specified by:
  `hasExtractableArray` in interface `ICollectionExtractor`
Overrides:
  `hasExtractableArray` in class `WrapperCollectionExtractor`
Returns:

#### extractEntries

    public IObjectArray extractEntries(IObject coll)
                                throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Extracts the array containing the collection content

Specified by:
  `extractEntries` in interface `ICollectionExtractor`
Overrides:
  `extractEntries` in class `WrapperCollectionExtractor`
Returns:
Throws:
  `SnapshotException`